<?xml version="1.0" encoding="UTF-8"?>
<!-- Es un archivo de mapeo -->
<!DOCTYPE mapper
  PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.mx.dla.admin.daos.UsuarioDAO">

	<resultMap id="usuario" type="UsuarioDTO">
		<id property="expediente" column="EXPEDIENTE" />
		<result property="nombre" column="NOMBRE" />
		<result property="paterno" column="PATERNO" />
		<result property="materno" column="MATERNO" />
		<result property="email" column="EMAIL" />
		<result property="idArea" column="ID_AREA" />

		<!-- Relación de 1 a 1 -->
		<association property="perfil" javaType="PerfilDTO">
			<id property="idPerfil" column="ID_PERFIL" />
			<result property="descPerfil" column="DESC_PERFIL" />
		</association>

	</resultMap>

	<select id="obtenerUsuario" resultMap="usuario"
		parameterType="map">
		select
		usr.EXPEDIENTE,
		usr.NOMBRE,
		usr.PATERNO,
		usr.MATERNO,
		usr.EMAIL,
		usr.ID_AREA,
		per.ID_PERFIL,
		per.DESC_PERFIL
		from
		DLA_C_USUARIO usr,
		DLA_C_USUARIO_PERFIL usrper,
		DLA_C_PERFIL per
		where
		usr.EXPEDIENTE = usrper.EXPEDIENTE
		AND usrper.ID_PERFIL = per.ID_PERFIL
		AND usr.EXPEDIENTE = #{expediente}
	</select>

	<update id="actualizaEstadoSesion">
		UPDATE DLA_C_USUARIO SET B_USUARIO_LOGUEADO =
		#{estado} WHERE EXPEDIENTE = #{expediente}
	</update>

	<insert id="insertaBitacora">
		INSERT INTO DLA_BITA_ACCESO
		(ID, DESCRIPCION, USUARIO_INTENTO, DIRECCION_IP, USER_AGENT)
		VALUES(DLA_BITA_ACCESO_SEQ.nextval, #{descripcion}, #{usuarioIntento}, #{deraccionIp}, #{userAgent})
	</insert>
	
	<insert id="insertaBitacoraPermiso">
		INSERT INTO DLA_BITA_PERMISO
		(ID, ID_MENU, USUARIO_INTENTO, DIRECCION_IP, USER_AGENT)
		VALUES(DLA_BITA_PERMISO_SEQ.nextval, #{idMenu}, #{usuarioIntento}, #{deraccionIp}, #{userAgent})
	</insert>

</mapper>
